ECHO OFF
ECHO UNPLUG ALL USB CAMERAS TO BEGIN
pause
cls

ECHO CLOSING EMxxx BINARIES
TASKKILL /IM Camera1.EXE
TASKKILL /IM Camera2.EXE

:CheckOS
IF EXIST "%PROGRAMFILES(X86)%" (GOTO 64BIT) ELSE (GOTO 32BIT)

:64BIT
set Pathname="C:\Program Files (x86)\Capture Button\Drivers"
cd /d %Pathname%
ECHO CLEARING OUT OLD DRIVERS
start "" "ClearTool27.exe"
start "" "ClearTool28.exe"
for /f "eol=: delims=" %%F in ('findstr /i /m Empia %WinDir%\inf\oem*.*') do del "%%F"
ECHO INSTALLING NEW DRIVERS
installx64.exe remove "USB\VID_EB1A&PID_2860"
installx64.exe remove "USB\VID_EB1A&PID_2861"
installx64.exe remove "USB\VID_EB1A&PID_5000"
installx64.exe remove "USB\VID_EB1A&PID_5133"
ECHO PLUG YOUR CAMERA BACK IN AND WAIT FOR WINDOWS
ECHO TO FINISH FAILING TO INSTALL THE DRIVER
ECHO HIT ANY KEY TO  CONTINUE INSTALLING THE DRIVER.
PAUSE
SuperVista\DpInst64.exe /se /q
GOTO END

:32BIT
set Pathname="C:\Program Files\Capture Button\Drivers"
cd /d %Pathname%
ECHO CLEARING OUT OLD DRIVERS
start "" "ClearTool27.exe"
start "" "ClearTool28.exe"
for /f "eol=: delims=" %%F in ('findstr /i /m Empia %WinDir%\inf\oem*.*') do del "%%F"
ECHO INSTALLING NEW DRIVERS
installx32.exe remove "USB\VID_EB1A&PID_2860"
installx32.exe remove "USB\VID_EB1A&PID_2861"
installx32.exe remove "USB\VID_EB1A&PID_5000"
installx32.exe remove "USB\VID_EB1A&PID_5133"
ECHO PLUG YOUR CAMERA BACK IN AND WAIT FOR WINDOWS
ECHO TO FINISH FAILING TO INSTALL THE DRIVER
ECHO HIT ANY KEY TO  CONTINUE INSTALLING THE DRIVER.
PAUSE
SuperVista\DpInst32.exe /se /q
GOTO END

:END
ECHO YOUR DRIVER SHOULD BE INSTALLED. PRESS ANY KEY TO END
PAUSE
exit