ECHO OFF
ECHO FOR DENTRIX IMAGE
ECHO UNPLUG ALL USB CAMERAS TO BEGIN
pause
cls

ECHO CLOSING EMxxx BINARIES
TASKKILL /IM Camera1.EXE
TASKKILL /IM Camera2.EXE

ECHO 1) Install 32 Bit Driver for Dentrix Image
ECHO 2) Install 64 Bit Driver for Dentrix Image
ECHO 3) Install 32 Bit Driver for Adstra
ECHO 4) Install 64 Bit Driver for Adstra
ECHO PRESS 1 OR 2
set /p web=Type option:
if "%web%"=="1" goto :32BIT
if "%web%"=="2" goto :64BIT
if "%web%"=="3" goto :32BITADSTRA
if "%web%"=="4" goto :64BITADSTRA
ECHO PRESS 1, 2, 3, or 4

:64BIT
set Pathname="C:\Program Files (x86)\Capture Button\Drivers"
cd /d %Pathname%
ECHO CLEARING OUT OLD DRIVERS
start "" "ClearTool27.exe"
start "" "ClearTool28.exe"
for /f "eol=: delims=" %%F in ('findstr /i /m Empia %WinDir%\inf\oem*.*') do del "%%F"
ECHO INSTALLING NEW DRIVERS
installx64.exe remove "USB\VID_EB1A&PID_2751"
installx64.exe remove "USB\VID_EB1A&PID_2780"
installx64.exe remove "USB\VID_EB1A&PID_5000"
copy "C:\Program Files (x86)\Capture Button\Drivers\Standard_Empia_27XX_Driver\Standard\etBg.img" "C:\Program Files (x86)\Capture Button\Drivers\Standard_Empia_27XX_Driver\For_DentrixImage\Driver64"
ECHO PLUG YOUR CAMERA BACK IN AND WAIT FOR WINDOWS
ECHO TO FINISH FAILING TO INSTALL THE DRIVER
ECHO HIT ANY KEY TO  CONTINUE INSTALLING THE DRIVER.
PAUSE
Standard_Empia_27XX_Driver\For_DentrixImage\Driver64\DpInst64.exe /LM
GOTO END

:32BIT
set Pathname="C:\Program Files\Capture Button\Drivers"
cd /d %Pathname%
ECHO CLEARING OUT OLD DRIVERS
start "" "ClearTool27.exe"
start "" "ClearTool28.exe"
for /f "eol=: delims=" %%F in ('findstr /i /m Empia %WinDir%\inf\oem*.*') do del "%%F"
ECHO INSTALLING NEW DRIVERS
installx32.exe remove "USB\VID_EB1A&PID_2751"
installx32.exe remove "USB\VID_EB1A&PID_2780"
installx32.exe remove "USB\VID_EB1A&PID_5000"
copy "C:\Program Files\Capture Button\Drivers\Standard_Empia_27XX_Driver\Standard\etBg.img" "C:\Program Files\Capture Button\Drivers\Standard_Empia_27XX_Driver\For_DentrixImage\Driver32"
ECHO PLUG YOUR CAMERA BACK IN AND WAIT FOR WINDOWS
ECHO TO FINISH FAILING TO INSTALL THE DRIVER
ECHO HIT ANY KEY TO  CONTINUE INSTALLING THE DRIVER.
PAUSE
Standard_Empia_27XX_Driver\For_DentrixImage\Driver32\DpInst32.exe /LM
GOTO END

:64BITADSTRA
set Pathname="C:\Program Files (x86)\Capture Button\Drivers"
cd /d %Pathname%
ECHO CLEARING OUT OLD DRIVERS
start "" "ClearTool27.exe"
start "" "ClearTool28.exe"
for /f "eol=: delims=" %%F in ('findstr /i /m Empia %WinDir%\inf\oem*.*') do del "%%F"
ECHO INSTALLING NEW DRIVERS
installx64.exe remove "USB\VID_EB1A&PID_2751"
installx64.exe remove "USB\VID_EB1A&PID_2780"
installx64.exe remove "USB\VID_EB1A&PID_5000"
copy "C:\Program Files (x86)\Capture Button\Drivers\Standard_Empia_27XX_Driver\Standard\etBg.img" "C:\Program Files (x86)\Capture Button\Drivers\Standard_Empia_27XX_Driver\For_Adstra\Driver64"
ECHO PLUG YOUR CAMERA BACK IN AND WAIT FOR WINDOWS
ECHO TO FINISH FAILING TO INSTALL THE DRIVER
ECHO HIT ANY KEY TO  CONTINUE INSTALLING THE DRIVER.
PAUSE
Standard_Empia_27XX_Driver\For_Adstra\Driver64\DpInst64.exe /LM
GOTO END

:32BIT
set Pathname="C:\Program Files\Capture Button\Drivers"
cd /d %Pathname%
ECHO CLEARING OUT OLD DRIVERS
start "" "ClearTool27.exe"
start "" "ClearTool28.exe"
for /f "eol=: delims=" %%F in ('findstr /i /m Empia %WinDir%\inf\oem*.*') do del "%%F"
ECHO INSTALLING NEW DRIVERS
installx32.exe remove "USB\VID_EB1A&PID_2751"
installx32.exe remove "USB\VID_EB1A&PID_2780"
installx32.exe remove "USB\VID_EB1A&PID_5000"
copy "C:\Program Files\Capture Button\Drivers\Standard_Empia_27XX_Driver\Standard\etBg.img" "C:\Program Files\Capture Button\Drivers\Standard_Empia_27XX_Driver\For_Adstra\Driver32"
ECHO PLUG YOUR CAMERA BACK IN AND WAIT FOR WINDOWS
ECHO TO FINISH FAILING TO INSTALL THE DRIVER
ECHO HIT ANY KEY TO  CONTINUE INSTALLING THE DRIVER.
PAUSE
Standard_Empia_27XX_Driver\For_Adstra\Driver32\DpInst32.exe /LM
GOTO END

:END
ECHO IF YOUR CAMERA IS NOT ALREADY PLUGGED IN, PLEASE PLUG IT IN.
ECHO YOUR DRIVER SHOULD BE INSTALLED. PRESS ANY KEY TO END
PAUSE
exit